/**
 * Identity-function helper to ensure a value `T` is a subtype of `U`.
 *
 * @template U The type to check for (explicitly specify this)
 * @template T The actual type (inferred, don't specify this)
 */
// needed for type parameter
// eslint-disable-next-line unicorn/consistent-function-scoping
/**
 * Returns true if `val` is not `null` or `undefined`
 */
const isDefined = (value) => value !== undefined && value !== null;

export { isDefined };
//# sourceMappingURL=types.js.map
